summaryrefslogtreecommitdiffstats
path: root/release-scripts
diff options
context:
space:
mode:
authorGerald (Jerry) Carter <jerry@samba.org>2008-05-27 12:00:00 -0500
committerKarolin Seeger <kseeger@samba.org>2008-09-05 11:25:39 +0200
commit62693b9d4c1f68f087726c1f1805defe1ae0c583 (patch)
tree6448108732c3b1fac74c39702d51ee42a17a1a01 /release-scripts
parent709bb4106ae927ae2260d4499f5b246b854627bf (diff)
downloadsamba-62693b9d4c1f68f087726c1f1805defe1ae0c583.tar.gz
samba-62693b9d4c1f68f087726c1f1805defe1ae0c583.tar.xz
samba-62693b9d4c1f68f087726c1f1805defe1ae0c583.zip
Add simple script to build docs
(cherry picked from commit 0865f4615d3ee91673dd6d02c6537765f34b3129) (cherry picked from commit 16fe020367f3d63c4ff1391f265bdaa48764900f)
Diffstat (limited to 'release-scripts')
-rwxr-xr-xrelease-scripts/build-docs25
1 files changed, 25 insertions, 0 deletions
diff --git a/release-scripts/build-docs b/release-scripts/build-docs
new file mode 100755
index 00000000000..529a1c07f18
--- /dev/null
+++ b/release-scripts/build-docs
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+DOCSRCDIR=`dirname $0`/../docs-xml
+
+cd $DOCSRCDIR || exit 1
+
+git-clean -d -x -f
+autoconf && ./configure --with-papersize=letter && make release
+
+if [ $? != 0 ]; then
+ echo "Docs build failed!"
+ exit 1
+fi
+
+mkdir ../docs
+rsync -Ca --delete --exclude=.git output/ ../docs/
+rsync -Ca --exclude=.svn registry ../docs/
+rsync -Ca --exclude=.svn archives/ ../docs/
+
+cd ../docs || exit 1
+/bin/rm -rf test.pdf Samba4*pdf htmldocs/Samba4* htmldocs/test
+mv manpages-3 manpages
+mv htmldocs/manpages-3 htmldocs/manpages
+
+exit \ No newline at end of file